Debian Bug report logs - #592684
debian-installer-utils: please don't check for /sys on Hurd

version graph

Package: debian-installer-utils; Maintainer for debian-installer-utils is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Thu, 12 Aug 2010 00:15:02 UTC

Severity: normal

Tags: patch

Found in version 1.77

Fixed in version debian-installer-utils/1.79

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592684; Package debian-installer-utils. (Thu, 12 Aug 2010 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 12 Aug 2010 00:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: debian-installer-utils: please don't check for /sys on Hurd
Date: Thu, 12 Aug 2010 02:11:08 +0200
[Message part 1 (text/plain, inline)]
Package: debian-installer-utils
Version: 1.77
Tags: patch
Usertags: gsoc2010

Hi,

The chroot_setup shell function provided by chroot-setup.sh aborts with
an error when /target/sys does not exist. However, on Hurd there is no
such thing as /sys.

The attached patch disables the test in question on Hurd.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[debian-installer-utils_hurd.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592684; Package debian-installer-utils. (Thu, 12 Aug 2010 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 12 Aug 2010 07:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 592684@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Jeremie Koenig <jk@jk.fr.eu.org>
Cc: 592684@bugs.debian.org
Subject: Re: Bug#592684: debian-installer-utils: please don't check for /sys on Hurd
Date: Thu, 12 Aug 2010 09:43:06 +0200
[Jeremie Koenig]
> -	if [ ! -d /target/sys ]; then
> +	if [ ! -d /target/sys ] && [ "$(udpkg --print-os)" != hurd ]; then

Would it be better to look for 'sysfs' in /proc/filesystems to avoid
hardcoding OS names there?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592684; Package debian-installer-utils. (Thu, 12 Aug 2010 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 12 Aug 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 592684@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 592684@bugs.debian.org
Subject: Re: Bug#592684: debian-installer-utils: please don't check for /sys on Hurd
Date: Thu, 12 Aug 2010 11:49:22 +0200
On Thu, Aug 12, 2010 at 09:43:06AM +0200, Petter Reinholdtsen wrote:
> [Jeremie Koenig]
> > -	if [ ! -d /target/sys ]; then
> > +	if [ ! -d /target/sys ] && [ "$(udpkg --print-os)" != hurd ]; then
> 
> Would it be better to look for 'sysfs' in /proc/filesystems to avoid
> hardcoding OS names there?

Unfortunately, neither Hurd nor kFreeBSD have a /proc/filesystems file.
Also, the /sys filesystem is named "linsysfs" on kFreeBSD.

An alternative would be to check for, say, /sys/devices in the installer
itself. Does this sound reasonable?

-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592684; Package debian-installer-utils. (Sun, 22 Aug 2010 22:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 22 Aug 2010 22:33:09 GMT) Full text and rfc822 format available.

Message #20 received at 592684@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: 592684@bugs.debian.org
Subject: Re: Bug#592684: debian-installer-utils: please don't check for /sys on Hurd
Date: Mon, 23 Aug 2010 00:29:59 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 12, 2010 at 11:49:22AM +0200, Jeremie Koenig wrote:
> On Thu, Aug 12, 2010 at 09:43:06AM +0200, Petter Reinholdtsen wrote:
> > [Jeremie Koenig]
> > > -	if [ ! -d /target/sys ]; then
> > > +	if [ ! -d /target/sys ] && [ "$(udpkg --print-os)" != hurd ]; then
> > 
> > Would it be better to look for 'sysfs' in /proc/filesystems to avoid
> > hardcoding OS names there?
> 
> Unfortunately, neither Hurd nor kFreeBSD have a /proc/filesystems file.
> Also, the /sys filesystem is named "linsysfs" on kFreeBSD.
> 
> An alternative would be to check for, say, /sys/devices in the installer
> itself. Does this sound reasonable?

I have used the attached patch successfully for some time.

-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[debian-installer-utils_hurd_3.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#592684; Package debian-installer-utils. (Sun, 22 Aug 2010 22:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 22 Aug 2010 22:51:14 GMT) Full text and rfc822 format available.

Message #25 received at 592684@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: debian-boot@lists.debian.org
Cc: 592684@bugs.debian.org
Subject: Re: Bug#592684: debian-installer-utils: please don't check for /sys on Hurd
Date: Mon, 23 Aug 2010 00:37:19 +0200
On Mon, Aug 23, 2010 at 12:18:43AM +0200, Samuel Thibault wrote:
> Hello,
> 
> Jeremie Koenig, le Thu 12 Aug 2010 11:49:22 +0200, a écrit :
> > An alternative would be to check for, say, /sys/devices in the installer
> > itself. Does this sound reasonable?
> 
> So?
> 
> Aurelien, could you confirm whether kFreeBSD's installer has a
> /sys/devices?

For the record:

<aurel32> jkoenig: ok, will look. Note that /sys is not mounted during
the installation on kfreebsd (haven't looked at it right now)

-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Mon, 23 Aug 2010 13:21:32 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Mon, 23 Aug 2010 13:21:32 GMT) Full text and rfc822 format available.

Message #30 received at 592684-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 592684-close@bugs.debian.org
Subject: Bug#592684: fixed in debian-installer-utils 1.79
Date: Mon, 23 Aug 2010 13:17:09 +0000
Source: debian-installer-utils
Source-Version: 1.79

We believe that the bug you reported is fixed in the latest version of
debian-installer-utils, which is due to be installed in the Debian FTP archive:

debian-installer-utils_1.79.dsc
  to main/d/debian-installer-utils/debian-installer-utils_1.79.dsc
debian-installer-utils_1.79.tar.gz
  to main/d/debian-installer-utils/debian-installer-utils_1.79.tar.gz
di-utils-exit-installer_1.79_all.udeb
  to main/d/debian-installer-utils/di-utils-exit-installer_1.79_all.udeb
di-utils-mapdevfs_1.79_i386.udeb
  to main/d/debian-installer-utils/di-utils-mapdevfs_1.79_i386.udeb
di-utils-reboot_1.79_all.udeb
  to main/d/debian-installer-utils/di-utils-reboot_1.79_all.udeb
di-utils-shell_1.79_all.udeb
  to main/d/debian-installer-utils/di-utils-shell_1.79_all.udeb
di-utils-terminfo_1.79_i386.udeb
  to main/d/debian-installer-utils/di-utils-terminfo_1.79_i386.udeb
di-utils_1.79_i386.udeb
  to main/d/debian-installer-utils/di-utils_1.79_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592684@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated debian-installer-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 23 Aug 2010 14:06:40 +0100
Source: debian-installer-utils
Binary: di-utils-shell di-utils-reboot di-utils-exit-installer di-utils di-utils-mapdevfs di-utils-terminfo
Architecture: source all i386
Version: 1.79
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 di-utils   - Miscellaneous utilities for the debian installer (udeb)
 di-utils-exit-installer - Exit installer (udeb)
 di-utils-mapdevfs - mapdevfs utility for the debian installer (udeb)
 di-utils-reboot - Reboot (udeb)
 di-utils-shell - Execute a shell (udeb)
 di-utils-terminfo - Terminfo entries needed by newt/slang in debian installer (udeb)
Closes: 592684
Changes: 
 debian-installer-utils (1.79) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Only detect /dev/cd0 as a CD-ROM drive on GNU/kFreeBSD, to prevent
     multiple /etc/fstab entries.
   * Mount /target/sys in chroot_setup () on GNU/KFreeBSD.
 .
   [ Colin Watson ]
   * udev 152 changed the default action for 'udevadm trigger' from 'add' to
     'change'.  We really do need 'add' after installing new kernel modules,
     so specify this explicitly.
 .
   [ Jeremie Koenig ]
   * in-target: Check for /target/sys only if /sys/devices exists, to avoid
     enforcing it on systems without a sysfs (ie. Hurd). Closes: #592684.
Checksums-Sha1: 
 79fa7b29a615b583f73623464e7a3cb7cdcb69ba 1814 debian-installer-utils_1.79.dsc
 2f6d2010ba583937cfb932850adfda6415bc7dd6 101594 debian-installer-utils_1.79.tar.gz
 638ddfb7ec1e14844e919825ca014a1b83552f47 19372 di-utils-shell_1.79_all.udeb
 da7986030e6ce0e64e56381a272846fbac86d47a 8840 di-utils-reboot_1.79_all.udeb
 ea70d2eb3c93b782a502215d523865f00fd8f378 2486 di-utils-exit-installer_1.79_all.udeb
 30db75c267842628540643959cf62fa091be2f93 30014 di-utils_1.79_i386.udeb
 80e57b31c3d15ef0a395afafb2324079dd642128 2266 di-utils-mapdevfs_1.79_i386.udeb
 bbd62e0332f43d0bd596fd78bbf7440e8fd9452d 2482 di-utils-terminfo_1.79_i386.udeb
Checksums-Sha256: 
 7a5fe26275aa7a8d7e3161b86b7daf6c089c8d2b14604b66bc99f4fc857eff77 1814 debian-installer-utils_1.79.dsc
 ee5afc6e71f68e29d374583b3ac33c3cf2568a40933ba8c7453ac3434f9f41c6 101594 debian-installer-utils_1.79.tar.gz
 8e064b6c276cae32021924fba5790e3ffc7a280043c182e5594baeb5bc7bc702 19372 di-utils-shell_1.79_all.udeb
 b5404135120af24d638b2cd51c88ecf307533718c4e2f3d1622151bd9c855656 8840 di-utils-reboot_1.79_all.udeb
 ae87e06de019fe7295f73492f66f3a1faf4c2775941520e4b2827838fabac48e 2486 di-utils-exit-installer_1.79_all.udeb
 446fe6cbac4b2eec9bc42b1861baca3a3e39ee4a8e6cf7bed59f7dbb8dd9bc6a 30014 di-utils_1.79_i386.udeb
 9a725ce98f91b7ad35fd3bbcd07e030eeb2d8e3763f05c6b1cf60b438764cfbe 2266 di-utils-mapdevfs_1.79_i386.udeb
 4dd5c49b1972ffe6c98173046438d859bc118f26aee98fbe91c340181f00b8bc 2482 di-utils-terminfo_1.79_i386.udeb
Files: 
 1785fd8566d31a67759a2fc5599622c4 1814 debian-installer standard debian-installer-utils_1.79.dsc
 766b86bd6b30d7dab6f2255aa757233a 101594 debian-installer standard debian-installer-utils_1.79.tar.gz
 c364804c79bd768944526b2a8b38a3c5 19372 debian-installer standard di-utils-shell_1.79_all.udeb
 adfca2546a03938c9c6aba07e9d3b1ab 8840 debian-installer standard di-utils-reboot_1.79_all.udeb
 bac0f356236242e3b1f895d60423bdd9 2486 debian-installer extra di-utils-exit-installer_1.79_all.udeb
 01e113f6217d98e9a374b8a11797cf07 30014 debian-installer standard di-utils_1.79_i386.udeb
 30a21febadd61226d6a47cfd0b7adde3 2266 debian-installer standard di-utils-mapdevfs_1.79_i386.udeb
 21766a68bc5d9a9f40e235658cda3546 2482 debian-installer standard di-utils-terminfo_1.79_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTHJyxzk1h9l9hlALAQix6RAAk2dPku1KadDjM+8v0QAHlW3dX7KlAD41
XHm/9yCcKpCmg78xj1i0VdNOH19c4IJ/uvu2/3A3MbBa0CfVXT7EL33/A+LB2zsE
cROndOfe0wDJL89aosxeqwfnDrcDnHRJ8KYH886FPiPCWCojBDyImBZiBbQ3HGVy
9cXduhPde3kR6R0pYShOSSdGwrP67D3ymZGVkwoP9OZn3NfxnhMAEgD1PV/hQdqU
hzEwyZwlVr9rRSYc1XIfieNt7VVDc9cuxSu9mZl+gIJ7VTfjB8s/bCbgE58uV4Hp
NmccOK/LfZSoDu2ExTrePVzfa5qvayVeHFIJcfuccypKrSI3bYFBN0CcammRy8SL
K77ZkMR4sA0DpjUwI9aVNOLukimaOJebjbo7YxAaSmFWF+X0rmE1FIUcfbjh/dcd
dueU9qsfchq0LjwoYAt42x67z9uCAO9+iJCiCqzE4KmpKkBwlXsaL+GXJ7l18H+m
B0o0AscZbc7LsGIhLmIho1h419Xk7JKJportaWh5wkd5i2k1AcOWFpjZFfX9yI9h
vWr2O+FTu2J59N4XOIxbrmH2boafBO4UwUFI0MUXtE3Hbzxtqjyf53P3caBTDrvj
zSy5S890zulRJulAcqbvMDKfCY9jTwf9s8gkErMXqlB3hFoP7Pb9kqL17IOJM4XJ
m6m8Ncao1Wc=
=HDUE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Oct 2010 07:43:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:36:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.